/* ************************************************* */
/*   			I 2 C   -  T o o l					 */
/*   Autoren  : Humer/Pregartner, 5AIH 2000/2001     */
/*   Version: 2.1   Jaenner 2003					 */
/* ************************************************* */


#include <reg517a.h>
#include <stdio.h>
#include "i2c.h"
#include "lcd.h"

void main()
{
   int t1,t2,t;
   
// i2c_debug(1);

   char temp[21];

   init_lcd();
   blank_lcd();

   while(1)
   {

       wait(1000);
       i2c_start();
       i2c_write( 0x90 );                   // Address
       i2c_write( 0x00 );                   // Address pointer register
   
       i2c_start();
       i2c_write( 0x91 );

       t1 = (int)i2c_read(0);
       t2 = (int)i2c_read(1);
       t = (t2>>6)+(t1<<2);
       sprintf( temp, "%6.2fC", (float)(t*0.25) );

       printf( "%6.2fC\r", (float)(t*0.25));
       print_lcd( 1, 1, temp );

       i2c_stop();
   }
}
