/********************************************************/
/*                      UEB11.C                         */
/*              Ausgeben an die LCD Anzeige             */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
#pragma iv(0x8000) mod517 code debug pl(61)

/****   Angabe der Include Dateien              ****/
#include <reg517.h>
#include <stdio.h>
#include "lcd.h"

unsigned char msec;
char text[21],k;
bit secflag;
unsigned char i,z,s;


void INTTIM0(void) interrupt 1
{
	TL0 = 0x00;
	TH0 = -39;
	msec++;
	if (msec==100)
		{ msec=0; secflag=1; }
}



main()
{
z=1;
s=1;

/* Initialisierung */
init_lcd();
blank_lcd();
TMOD=0x01;
EAL=1;
TR0=1;
ET0=1;


/* Laden von Sonderzeichen */
def_balken();

while(1)
{
    while(!secflag);
	{
		secflag = 0;
		i++;k++;
		if(i==6) 
		  {
		  i=1;
		  z++;
		  }
		char_lcd(2,z,i);
		sprintf(text,"Counter = %3d%%   ",(int)k);
		print_lcd(1,1,text);
		if (k==100)
			{i=0; z=1; k=0; blank_lcd();}
	 }
	 P4 = z;
}
}
