/* ******************************************* */
/* ** Programm: licht.c                        */
/* ******************************************* */

//#pragma debug pagelength (54) 
#include <stdio.h>
#include <reg517.h>
#include "lcd.h"

bit secflag,mess;
unsigned int Licht;
char buffer[20],ueb;
float licht2;

/* Funtionen */

void secticker(void) interrupt 2
{
	if (mess==1) /*letzte Sekunde = MESSUNG */
	{        
	  T2CON=0;   /* Timer 2 sperren */
	  secflag=1; /* Meszauswertung freigeben */
	  mess=0;
	}
	else
	{
	T2CON=0x02;  /* Timer 2 freigeben */
	ueb=0;       /* berlufe ruecksetzen*/
	mess=1;      /* bit mess setzen */
	}
}

void t2int(void) interrupt 5
{
	TF2=0;
	ueb++;
}



/* Hauptprogramm */
main()
{
EX1=1;
IT1=1;
ET2=1;
T2CON=0;
ueb=0;
TF2=0;
IP0=4;
init_lcd();
blank_lcd();
EAL=1;

	while(1)
	{
	if(secflag==1)
	 {
		Licht=T2;
		licht2=ueb*65536.0+Licht;
		sprintf(buffer,"LFU hat %8.0f Hz   ",licht2);
		print_lcd(1,1,buffer); 
		secflag=0;   
		T2=0;
		P4++;
	 }
	}
}
