#include <reg517a.h>
#include <stdio.h>
#include "lcd.h"
#include "rtc.h"
#include "i2c.h"

void main()
{
   unsigned char hs, sec, min, hour;
   char temp[21];

   init_lcd();
   blank_lcd();

   rtc_setTime( 12, 10, 30, 50 );
  
   while(1)
   {
        rtc_getTime( &hour, &min, &sec, &hs );        

        sprintf( temp, "%02d:%02d:%02d:%02d", (int)hour, (int)min, (int)sec, (int)hs) ;
        print_lcd(1,1,temp);
        printf("%s\r",temp);

        wait(500);
   }
}
