#include <stdio.h>
#include <reg517a.h>
#include "i2c.h"
#include "lcd.h"

bit taste;ticker;
char dig4,dig3,dig2,dig1;
char min1,min2,sec1,sec2;
char Controlbyte=0xF7;
idata char buff[21];


char umwandlung (char bcd)

{ switch (bcd)

  { case 0:  bcd=0x3F;
             return (bcd);break;
    case 1:  bcd=0x06;
             return (bcd);break;
    case 2:  bcd=0x5B;
             return (bcd);break;
    case 3:  bcd=0x4F;
             return (bcd);break;
	case 4:  bcd=0x66;
             return (bcd);break;
    case 5:  bcd=0x6D;
             return (bcd);break;
	case 6:  bcd=0x7D;
             return (bcd);break;
	case 7:  bcd=0x07;
             return (bcd);break;
    case 8:  bcd=0x7F;
             return (bcd);break;
	case 9:  bcd=0x6F;
             return (bcd);break;
 }
}

void Timer(void) interrupt 1

{  int h;
   
   
   h++;
   if (h==100)
  { sec1++;
	ticker=1;
    if(sec1>9)
	{ sec1=0;
      sec2++;
	  if (sec2>5)
	  { sec2=0;
	    min1++;
 	  if (min1>9)
      { min2++;
        min1=0;  	
       }
	}
	}
		h=0;
   }	
   
  TH0=217;
  TL0=0;
 }

void tastatur(void) interrupt 0 

{
  taste=1;
}

void main()

{   int button;
	init_lcd();
	blank_lcd();
    TMOD=0x01;
	TH0=217;
	TL0=0;

	EAL=1;
	EX0=1;
	IT0=1;
    ET1=1;
	ET0=1;
  
    for(;;)
    { 
  
       if (taste==1)
       { 
    	  button=(P7>>4);
    	
    	  switch (button)

		  { case 1: TR0=1;break;
    	    case 9: TR0=0;break;
		    case 5: min1=0;min2=0;sec1=0;sec2=0;ticker=1;break;
			case 0: Controlbyte=0x17;ticker=1;break;
			case 8: Controlbyte=0x27;ticker=1;break;
			case 4: Controlbyte=0x37;ticker=1;break;
			case 12: Controlbyte=0x47;ticker=1;break;
			case 2: Controlbyte=0x57;ticker=1;break;
			case 10: Controlbyte=0x67;ticker=1;break;
			case 6: Controlbyte=0x77;ticker=1;break;


	      }
		  taste=0;
	    }

		if (ticker==1)
		{
			ticker=0;
			printf("Time: %d%d:%d%d\n",(int)min2,(int)min1,(int)sec2,(int)sec1);
			sprintf(buff,"Time: %d%d:%d%d",(int)min2,(int)min1,(int)sec2,(int)sec1);
			print_lcd(1,4,buff);

	   dig4=umwandlung(sec1); 
	   dig3=umwandlung(sec2);
       dig2=umwandlung(min1);
	   dig1=umwandlung(min2);
       i2c_start();		
       i2c_trans(0x70);		//Slaveadresse+R/W
       i2c_trans(0x00);		//Instructionsbyte
       i2c_trans(Controlbyte);		//Controlbyte
	   i2c_trans(dig1);
       i2c_trans(dig2);
	   i2c_trans(dig3);
	   i2c_trans(dig4);
	   i2c_stop();
		}
    }
}	


