//***************************************************************
// Modulname:    $Source: $
// User:         $Author: $
// Version:      $Name: $  $Revision: $
// Datum:        $Date: $
// Qualitt:     $State: $
//***************************************************************
// Beschreibung: GLOBALS.H fr das TEST_TASTE Beispiel
//***************************************************************
// Historie:
//==========
// $Log: $
//***************************************************************
#ifndef GLOBALS_H
  #define GLOBALS_H
//***************************************************************
// Definitionen ueber C-Compiler
//***************************************************************
   #ifdef __C51__
     #if __C51__ < 602
      #error: !! ERROR, this files work only with the C-Compiler !!
      #error: !! Version 602 or higher !!
     #endif
   #endif
   #ifdef __A51__
     #if __A51__ < 601
      #error: !! ERROR, this files work only with the C-Compiler !!
      #error: !! Version 602 or higher !!
     #endif
   #endif
#include <def_mic.h>
//***************************************************************
// Angaben ueber den verwendeten Mikrocontroller und dessen Umfeld
//***************************************************************
#define MIKROPRO             _80517   // welcher Prozessor wird verwendet
#define SYSTEM_CLKHZ      12000000L   // Angabe in Hz
#define MACHINE_CYCLE             1   // Angabe in Sec 12 MHz Taktfrequenz
#define SYSTEM_CLK     SYSTEM_CLKHZ/1000000L  // Berechnung in MHz


//***************************************************************
// Auswertung der Angaben
//***************************************************************
// Auswertung des verwendeten Mikrocontrollers
    #if MIKROPRO == _8031 
      #include <reg51.h>
    #elif MIKROPRO == _8032
      #include <reg52.h>
    #elif MIKROPRO == _80515
      #include <reg515.h>
    #elif MIKROPRO == _80517
      #include <reg517.h> 
    #elif MIKROPRO == _80517A
      #include <reg517a.h>
    #elif MIKROPRO == _501
      #include <reg501.h>
    #elif MIKROPRO == _517
      #include <reg517.h>
    #elif MIKROPRO == _517A
      #include <reg517a.h>
    #else
      #error Fehler_0002:                          
      #error Fehler: Kein Mikroprozessor in GLOBALS.H definiert 
    #endif // Endekennung fr MICROPRO-Abfrage

#include <def_int.h>
#include <def_bits.h>    // !! Neu !! zusaetzlicher Eintrag
//***************************************************************
// Angaben ber die verwendete Peripherie 
//***************************************************************

//***************************************************************
#endif // Endekennung fr GLOBALS-Abfrage

