/********************************************************/
/*                      UEBUNG9.C                       */
/*              Ausgeben an die LCD Anzeige             */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
#pragma mod517 code debug pl(61)

/****   Angabe der Include Dateien              ****/
#include <reg517a.h>
#include <stdio.h>
#include <math.h>
#include "lcd.h"

/* globale Variable */
unsigned char buf[21];
int adu;
float r_temp,lnr,temp;
code float a=0.0012814814,
	   b=0.000236678791,
	   c=0.0000000908736406,
	   r_ref = 4990;

int aduwert(char kanal)
{
	ADCON1=kanal;
	ADDATL = 0;
	while(BSY);
	return((ADDATL>>6)+ADDATH*4);
}

main()
{
init_lcd();
blank_lcd();

while(1)        
{
	adu = aduwert(8);
	r_temp = r_ref*adu/(1023-adu);
	lnr = log(r_temp);
	temp = (1.0/(a+b*lnr+c*lnr*lnr*lnr));
	temp-=273.2;
	sprintf(buf,"R=%7.1f T=%6.2f",r_temp,temp);
	print_lcd(1,1,buf);
}
}
	
