#include <i2c.h>

#ifndef AD7416
#define AD7416

unsigned char ad7416_exists()
{
   return i2c_exists(0x90);
}

float ad7416_calculate()
{
   int t1,t2;
   float t;
   
   i2c_start();
   i2c_write( 0x90 );                   // Address
   i2c_write( 0x00 );                   // Address pointer register 
   i2c_start();
   i2c_write( 0x91 );
   t1 = (int)i2c_read(0);
   t2 = (int)i2c_read(1);
   i2c_stop();

   t = (float)( ( (t2>>6)+(t1<<2) ) * 0.25 );

   return t; 
}

#endif
