/********************************************************/
/*                      UEBUNG6.C                       */
/*      Einlesen der Tastatur ueber einen Interrupt     */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
#pragma iv(0x8000)

/****   Angabe der Include Dateien              ****/
#include <reg517.h>

/****   Globale Variablen                       ****/
code char tasten[23]={0,0,2,0,1,0,3,0,8,0,10,0,9,0,11,0,4,0,6,0,5,0,7};
unsigned int taste;


void INTTIM0 (void) interrupt 1
{
	taste = tasten[P7>>3];
	TH0 = -39;
	TL0 = 0;
}




main()
{

/*      Anweisungen zur Behandlung des Interrupts       */

TMOD = 0x01;           /**** Timer 0 Mode 1 16 Bit             ****/
TH0  = -39;            /**** Vorgesetzter Wert, alle 10 ms Int.****/
TL0  = 0;              /**** Vorgesetzter Wert                 ****/
ET0 = 1;              /**** Timer 0 Interrupt disabled        ****/
EAL = 1;              /**** Interrupt allgemein erlaubt       ****/
P4 = 0x00;
TR0 = 1;                /**** Einschalten der Zeitschleife      ****/

while (1)
	{
	P4=taste;
	}

}        
