/********************************************************/
/*                      UEBUNG7.C                       */
/*      Einlesen der Tastatur ueber einen Interrupt     */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
#pragma iv(0x8000)

/****   Angabe der Include Dateien              ****/
#include <reg517.h>

/****   Globale Variablen                       ****/
code char tasten[23]={0,0,2,0,1,0,3,0,8,0,10,0,9,0,11,0,4,0,6,0,5,0,7};
unsigned int taste;
bit gedrueckt;

void TAST (void) interrupt 0
{
	taste = tasten[P7>>3];
	gedrueckt=1;
}




main()
{

/*      Anweisungen zur Behandlung des Interrupts    */

EX0 = 1;        /**** Externer Int0               ****/
IT0 = 1;        /* neg. Flanke */
EAL = 1;        /**** Interrupt allgemein erlaubt ****/
P4 = 0x00;

while (1)
	{
	if(gedrueckt)
		{
		P4=taste;
		gedrueckt=0;
		}
	}
}        
