/********************************************************/
/*                      PWM2.C                          */
/*              Ausgeben an die LCD Anzeige             */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
#pragma mod517 code debug pl(61)

/****   Angabe der Include Dateien              ****/
#include <reg517a.h>
#include <stdio.h>
#include "lcd.h"

/* globale Variable */
unsigned char buf[21],i;

int aduwert(char kanal)
{
	ADCON1=kanal;
	ADDATL = 0;
	while(BSY);
	return((ADDATL>>6)+ADDATH*4);
}
main()
{
init_lcd();
blank_lcd();
 CTREL = 0xFC00;  /* 16 bit Reload-Register CAPTURE-Timer */
 CTCON = 0x00;   /* fosz/2 */
 CMSEL = 0xFF;   /* P4 - Compare Timer */
 CMEN = 0xFF;    /* P4  all  active */
 CM0 = 0xFFEF;
 CM1 = 0xFFAF;
 CM2 = 0xFF4F;
 CM3 = 0xFF00;
 CM4 = 0xFF00;
 CM5 = 0xFF4F;
 CM6 = 0xFFAF;
 CM7 = 0xFFEF;

while(1)        
{
	while(BSY);
	sprintf(buf,"Kanal 9 Wert= %4d",(int)aduwert(9));
	print_lcd(2,1,buf);
	sprintf(buf,"Kanal 0 Wert= %4d",(int)aduwert(0));
	print_lcd(1,1,buf);
	CM7 = 0xFC00+(1023-(int)aduwert(0));
	CM0 = 0xFC00+(1023-(int)aduwert(9));
}
}
	
