/********************************************************/
/*                      UEBUNG8.C                       */
/*     Ein- und Ausgeben ueber ser. Schnittstelle       */
/********************************************************/

/****   Steueranweisungen an den Compiler       ****/
/****   Angabe der Include Dateien              ****/
#include <reg517a.h>
#include <stdio.h>

/****   Prototypen der Funktionen               ****/
void ini_ser1(void);

/****   Funktionen                              ****/
void ini_ser1(void)
{
        S0CON = 0x5E;   /* Serieller Mode 1, 8bit, 1 Stopbit */
        BD = 1;   /* Baudrategenerator aktiv */
        PCON = 0x80;    /* SMOD = 1; 9600baud,12MHz */
}

/***************************************************/
/****   Hauptprogramm                           ****/
/***************************************************/

main()
{
char puffer[30];
char c;
int a,d;
float b;

c = 'X';
a = -1023;
b = 0.123456789;

ini_ser1();

printf ("Ausgabe ueber ser. Schnittstelle\n\n");
printf ("Character: %c\n", c);
printf ("Integer: %d\n", a);
printf ("Unsigned Integer: %u\n",a);
printf ("Integer hexadezimal: %x\n", a);
printf ("Float: %1.1f\t%1.3f\n\n", b,b);

printf ("Geben Sie Zeichen ein, nach Return oder Blank\n");
printf ("wird der String wieder ausgeben.\n\n");

scanf("%s",&puffer); 
printf("%s\n",&puffer);
}
