//***************************************************************
// Modulname:    $Source: $
// User:         $Author: $
// Version:      $Name: $  $Revision: $
// Datum:        $Date: $
// Qualitt:     $State: $
//***************************************************************
// Beschreibung: I2C_DEF.h Definitionen fuer den IC-Bus
//***************************************************************
// Historie:
//==========
// $Log: $
//***************************************************************
#ifndef I2C_DEF_H
  #define I2C_DEF_H

//***************************************************************
// verwendete Definitionen
//***************************************************************
// Definition der I2C-Bus Anschluesse

sbit btSDA = P1^0;
sbit btSCL = P1^1;

#define MAX_ZYK 10 // Anzahl der Zugriffsversuche beim I2C-Bus

/****************************************************************/
// Definition der vorhandenen Bausteine
#define I2C_RAM1_PCF8570  PCF8570 
#define I2C_RAM2_PCF8570  PCF8570   | A1

// Diese Definitionen werden fr die EEPROM-Schreib-Routinen benoetigt
#define EEPROM_FUNKTION CLEAR
// #define I2C_EEPROM1_PCF8581       PCF8581 | A0
// Definition der EEPROM-Page Groesse
// #define EEP_PAGE_SIZE     8

#endif
